Skip to navigation

Get information about the document

View as Markdown

This operation retrieves information about the document. The response includes the document ID, name, and metadata.

Required authentication scopes: dtr.documents.read

Authentication

AuthorizationBearer
JWT Bearer token from Docusign authorization server

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the account
workspaceIdstringRequiredformat: "uuid"
The ID of the workspace
documentIdstringRequiredformat: "uuid"
The ID of the document

Response

Document successfully retrieved
document_idstringformat: "uuid"
The ID of the document
namestring>=1 character
The name of the document
workspace_idstring or nullOptionalformat: "uuid"
The ID of the workspace
owner_idstring or nullOptionalformat: "uuid"
The ID of the owner of the document
sizelong or nullOptional
The size of the document in bytes
created_datedatetime or nullOptional
The date the document was created
content_typestring or nullOptional
The document content type

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error